# keep date only for rpm versioning, extra numbers go into release
%define	ver	20141126
# full version number as seen on youtube-dl website
%define	verlong	2014.11.26
#
Summary:	Video extraction utility for YouTube
Summary(pl.UTF-8):	Narzędzie do wydobywania filmów z YouTube
Name:		youtube-dl
Version:	%{ver}
Release:	1
Epoch:		2
License:	Public Domain
Group:		Applications/System
Source0:	http://youtube-dl.org/downloads/%{verlong}/%{name}-%{verlong}.tar.gz
# Source0-md5:	204bd61a81d8ee98d88d9f6d5c2739dc
URL:		http://youtube-dl.org/
BuildRequires:	python-distribute
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-distribute
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		bash_compdir	%{_datadir}/bash-completion/completions
%define		fish_compdir	%{_datadir}/fish/completions

%description
youtube-dl is a small command-line program to download videos from
YouTube.com.

%description -l pl.UTF-8
youtube-dl jest programem do ściągania plików video z YouTube.com.

%package -n bash-completion-%{name}
Summary:	Bash completion for youtube-dl command
Summary(pl.UTF-8):	Bashowe dopełnianie parametrów polecenia youtube-dl
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-%{name}
Bash completion for youtube-dl command.

%description -n bash-completion-%{name} -l pl.UTF-8
Bashowe dopełnianie parametrów polecenia youtube-dl.

%package -n fish-completion-%{name}
Summary:	Fish completion for youtube-dl command
Summary(pl.UTF-8):	Dopełnianie parametrów w fish dla polecenia youtube-dl
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	fish

%description -n fish-completion-%{name}
Fish completion for youtube-dl command.

%description -n fish-completion-%{name} -l pl.UTF-8
Dopełnianie parametrów w fish dla polecenia youtube-dl.

%prep
%setup -qc
mv %{name} .tmp; mv .tmp/* .

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

install -d $RPM_BUILD_ROOT{%{bash_compdir},%{fish_compdir}}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/etc/bash_completion.d/youtube-dl.bash-completion \
	$RPM_BUILD_ROOT%{bash_compdir}/%{name}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/etc/fish/completions/youtube-dl.fish \
	$RPM_BUILD_ROOT%{fish_compdir}/%{name}.fish
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/youtube_dl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%attr(755,root,root) %{_bindir}/youtube-dl
%{_mandir}/man1/youtube-dl.1*
%{py_sitescriptdir}/youtube_dl
%{py_sitescriptdir}/youtube_dl-%{verlong}-py*.egg-info

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/%{name}

%files -n fish-completion-%{name}
%defattr(644,root,root,755)
%{fish_compdir}/%{name}.fish
%changelog
* Wed Nov 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/youtube-dl.git;a=log;h=master

* Wed Nov 26 2014 Jan Palus <atler@pld-linux.org> cd17939
- up to 20141126
- package fish completion

* Sat Sep 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 652733c
- separate our rpm version number from upstream number, so there will be no problem (with having to bump epoch) if upstream decides to use version like 2014.01.23.4

* Sat Sep 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> cc5cf17
- up to 20140912

* Thu Aug 21 2014 Adam Gołębiowski <adamg@pld-linux.org> 4c1746c
- updated to 2014.08.21.3

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 9a77a05
- added epoch to internal deps
- rel 2

* Fri Jan 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 91273a8
- up to 2014.01.23.4

* Fri Dec 06 2013 Tomasz Pala <gotar@pld-linux.org> c24ed57
- R: python-distribute, bumped epoch due to 2013.10.23.2 version...

* Fri Dec 06 2013 Tomasz Pala <gotar@pld-linux.org> 4ce2c1c
- upgraded to 2013.12.04

* Sun Oct 27 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5aaa544
- up to 2013.10.23.2

* Mon Sep 16 2013 Tomasz Pala <gotar@pld-linux.org> c91a525
- upgraded to 2013.09.16

* Tue Aug 27 2013 Karol Krenski <charles@pld-linux.org> adfe7cc
- up to 2013.08.27

* Tue Aug 27 2013 Karol Krenski <charles@pld-linux.org> 6715cee
- BR: python-distribute

* Sun Jun 16 2013 Elan Ruusamäe <glen@delfi.ee> b9296b0
- use bash-completion 2.0 autoloading on demand

* Sat Jun 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 97454f0
- package bash completion

* Sat Jun 15 2013 Elan Ruusamäe <glen@delfi.ee> 58a481c
- up to 2013.05.23

* Sun Apr 21 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b3b31d
- up to 20130421

* Tue Apr 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f1b4a7
- rel 2; proper url

* Mon Apr 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 48cee41
- add version validation and update to 20130329 (which fails that validation unfortunately; upstream mistake)

* Mon Apr 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 19685e4
- up to 20130329

* Sun Feb 10 2013 Łukasz Kieś <kiesiu@pld-linux.org> f8173f5
- updated to 20130202

